curl --request GET \
--url https://api.app.fleetit.com/api/vehicle/ \
--header 'Authorization: Bearer <token>'{
"meta": {
"limit": 60,
"next": "/api/vehicle/?limit=60&offset=60",
"offset": 0,
"previous": null,
"total_count": 70
},
"objects": [
{
"custom_fields": {},
"history": {
"date": "2024-01-29T15:00:06.997Z",
"username": "System"
},
"id": 123,
"lessee_renter": null,
"plate_number": "ABC1234",
"plate_state": "NY",
"status": "REMOVED",
"tracking_code": "Test",
"vehicle_make": "Ford",
"vehicle_model": "F150",
"year": "2024"
}
]
}Retrieve a list of all vehicles in the system.
curl --request GET \
--url https://api.app.fleetit.com/api/vehicle/ \
--header 'Authorization: Bearer <token>'{
"meta": {
"limit": 60,
"next": "/api/vehicle/?limit=60&offset=60",
"offset": 0,
"previous": null,
"total_count": 70
},
"objects": [
{
"custom_fields": {},
"history": {
"date": "2024-01-29T15:00:06.997Z",
"username": "System"
},
"id": 123,
"lessee_renter": null,
"plate_number": "ABC1234",
"plate_state": "NY",
"status": "REMOVED",
"tracking_code": "Test",
"vehicle_make": "Ford",
"vehicle_model": "F150",
"year": "2024"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
""
Max 100
""
A global search query e.g Plate Number, Plate State etc.
""
""
""
""
Options Includes (PENDING, EXIST, REQUEST_REMOVAL, REMOVED)
""
""
Vehicles list
Show child attributes
Show child attributes
[
{
"custom_fields": {},
"history": {
"date": "2024-01-29T15:00:06.997Z",
"username": "System"
},
"id": 123,
"lessee_renter": null,
"plate_number": "ABC1234",
"plate_state": "NY",
"status": "REMOVED",
"tracking_code": "Test",
"vehicle_make": "Ford",
"vehicle_model": "F150",
"year": "2024"
}
]Was this page helpful?